Package bitel.billing.server.admin.bgsecure.bean

# Class MenuRestrictManager

java.lang.Object
bitel.billing.server.admin.bgsecure.bean.MenuRestrictManager

    public class MenuRestrictManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MenuRestrictManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addGroupMenuRestriction​(int gid, java.lang.String menu, boolean hide)` |
  `void` | `addUserMenuRestriction​(int uid, java.lang.String menu, boolean hide)` |
  `void` | `deleteGroupMenuRestriction​(int gid, java.lang.String menu)` |
  `void` | `deleteUserMenuRestriction​(int uid, java.lang.String menu)` |
  `java.util.Map<java.lang.String,​java.lang.Boolean>` | `getGroupMenuRestrictions​(int groupId)` |
  `RestrictionMap` | `getMenuAccessListForUser​(int userID)` |
  `java.util.Map<java.lang.String,​java.lang.Boolean>` | `getUserMenuRestrictions​(int uid)` |
  `java.util.List<java.lang.String[]>` | `menuBarList()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MenuRestrictManager

    public MenuRestrictManager​(java.sql.Connection con)

- ## Method Details

  - ### getUserMenuRestrictions

    public java.util.Map<java.lang.String,​java.lang.Boolean> getUserMenuRestrictions​(int uid)

  - ### getGroupMenuRestrictions

    public java.util.Map<java.lang.String,​java.lang.Boolean> getGroupMenuRestrictions​(int groupId)

  - ### addGroupMenuRestriction

    public void addGroupMenuRestriction​(int gid, java.lang.String menu, boolean hide)

  - ### deleteGroupMenuRestriction

    public void deleteGroupMenuRestriction​(int gid, java.lang.String menu)

  - ### addUserMenuRestriction

    public void addUserMenuRestriction​(int uid, java.lang.String menu, boolean hide)

  - ### deleteUserMenuRestriction

    public void deleteUserMenuRestriction​(int uid, java.lang.String menu)

  - ### getMenuAccessListForUser

    public RestrictionMap getMenuAccessListForUser​(int userID)

  - ### menuBarList

    public java.util.List<java.lang.String[]> menuBarList()